import React, { PureComponent } from 'react';
import { Tabs } from 'antd';
import style from "styled-components";

const store = require("store");

const { TabPane } = Tabs;

export default class CertificateManagement extends PureComponent {
  constructor(props, context) {
    super(props, context);
    this.state = {
      // currentURL: "http://localhost:3000/#/course/manage",
    };
  }

  componentDidMount = () => {}
  render() {
    // const { currentURL } = this.state;
    return (
      <Container>
        <Tabs>
          <TabPane tab="等级证管理" key="1" />
        </Tabs>
        {store.get("certificateManaURL") !== undefined ? (
          <div style={{ height: "inherit" }}>
            <iframe
              title="证书管理"
              src={store.get("certificateManaURL")["certificateManaURL"]}
              width="100%"
              height="100%"
              frameBorder="0"
              allowFullScreen={true}
              allowtransparency="true">
              您的浏览器不支持iframe，请升级
            </iframe>
          </div>
        ) : ''
        }
      </Container>
    );
  }
}

const Container = style.div`
  padding:10px 24px 24px;
  width:100%;
  height:100%;
`;
